package com.ssm.core.service;
import com.ssm.manage.entity.SmsException;
import java.util.List;
public interface BaseService<Pojo>{

    Pojo selectByPrimaryKey(Object key);

    Pojo selectOne(Pojo pojo);

    List<Pojo> selectByExample(Object example);

    List<Pojo> selectAll();

    int save(Pojo entity);

    int saveNotNull(Pojo entity);

    int deleteByPrimaryKey(Object key);
    int delete(Pojo pojo) throws SmsException;

    int updateByPrimaryKey(Pojo entity);

    int updateNotNull(Pojo entity);

//    public Pojo selectOneByExample(Pojo example);

    public int selectCountByExample(Object example);

    public int insertList(List<Pojo> list);

    public int selectCount(Pojo entity);

    public List<Pojo> select(Pojo entity);

    public int updateByExampleSelective(Pojo pojo, Object o);
}
